/*  HSYCONET Library for Arduino
    Copyright (C) 2012-2013 Home Systems Consulting S.p.A. - All rights reserved.

    For information, see the Home Systems Consulting web site:
    http://www.homesystemsconsulting.com/
	
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
*/

/*
    This sketch is an I/O events echo program. You can set any datapoint name/value
    and the sketch will generate an event with the same name/value.
    In events.txt, if arduino is the I/O server name associated to the Arduino board,
    write the following code to test this sketch:
      hsycostart : programtimer tick = repeat 1, $counter = 0
      programtimer tick : $counter + 1
      $counter : io arduino.name = $counter
*/

#include <HSYCONET.h>
#include <Ethernet.h>
#include <SPI.h>

byte mac[] = { 0x90, 0xA2, 0xDA, 0x0D, 0xBB, 0x83 };
IPAddress ip(192, 168, 1, 177);
IPAddress subnet(255, 255, 255, 0);
IPAddress gateway(192, 168, 1, 1);

void myCallback(char* name, char* value) {
  HSYCONET.ioSet(name, value);
}

void setup() {
  Ethernet.begin(mac, ip, gateway, subnet);
  HSYCONET.attach(myCallback);
  HSYCONET.begin();
}

void loop() {
  HSYCONET.process();
}
